/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package demojsoncrud.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Percy Oliver Quispe Huarcaya
 * Este servlet está encargado de interceptar la petición de redirección
 * El objetivo de este servlet es comprar sí tiene una session vigente,
 * de tener una session
 */
public class InterceptarRedireccionServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        if(request.getSession().getAttribute("codigo")!=null){
            String token = request.getParameter("t");
            String page = request.getParameter("p");
            response.sendRedirect(page+"?t="+token);
        }else{
            request.getRequestDispatcher("/vistas/index.jsp").forward(request, response);
        }
    }
    
}
